Недавний контент Tacio

  1. T

    Севастополь 6.1: попытка загрузки в текстовом режиме

    Лог Xorg https://pastebin.com/EDYgFd8S По сети доступ к плате получил. Однако операционка видит только один сетевой интерфейс из двух. Каким образом можно настраивать сеть через /etc/network/interfaces без wicd? В /etc/init.d сервис networking отсутствует.
  2. T

    Севастополь 6.1: попытка загрузки в текстовом режиме

    Имеется плата Fastwel CPC313 c Байкал-Т1. Удалось установить Астру на встроенный nanoSSD, теперь пытаюсь загрузиться с него. При загрузке ошибок вроде нет, но приглашения ввода команд в консоли не появляется, на экране подключённого по VGA монитора тоже нет сигнала. Последнее, что видно в...
  3. T

    Заменил штатную библитеку libc.so.6 GLIBC_2.15, возможно ли пройти аттестацию

    Действительно, в 2.15 эти символы находятся в librt.so.1. Только там они скорее всего будут версии GLIBC_2.2.5.
  4. T

    Заменил штатную библитеку libc.so.6 GLIBC_2.15, возможно ли пройти аттестацию

    В моём предыдущем сообщении другой аргумент к команде objdump
  5. T

    Заменил штатную библитеку libc.so.6 GLIBC_2.15, возможно ли пройти аттестацию

    Верннее objdump -T curator | fgrep GLIBC_2.17 таким образом узнаете название символа. Затем уже в Астре: objdump -T /path/to/libc.so.6 | grep -w your_symbol_name этой командой узнаете доступные версии для этого символа в Астре.
  6. T

    Заменил штатную библитеку libc.so.6 GLIBC_2.15, возможно ли пройти аттестацию

    Для начала необходимо узнать, что за символ. Для этого запустите команду objdump -p curator | grep GLIBC_2.17 в системе, в которой версия GLIBC не ниже 2.17
  7. T

    Заменил штатную библитеку libc.so.6 GLIBC_2.15, возможно ли пройти аттестацию

    Сомневаюсь, что пройдёте :) Есть возможность решить эту проблему без установки libc6_2.17-0ubuntu4_amd64.deb, если в glibc найдутся более старые версии этого символа.
  8. T

    Заменил штатную библитеку libc.so.6 GLIBC_2.15, возможно ли пройти аттестацию

    То есть, проблема решена? Вы уверены, что установив пакет libc6_2.17-0ubuntu4_amd64.deb вы пройдёте сертификацию?
  9. T

    Заменил штатную библитеку libc.so.6 GLIBC_2.15, возможно ли пройти аттестацию

    На астре запускать нет ссысла. Запускайте команду там, где собирали приложение, либо на другом дистрибутиве, который поддерживает версии символов не ниже GLIBC_2.17. Astra SE 1.5 умеет только GLIBC_2.15, если мне не изменяет память.
  10. T

    Кросс компиляция

    Это лишнее.
  11. T

    Смоленск 1.5 Работа с NFS3 сервером на базе QNX

    Попробовал Astra Смоленск 1.3 - с ней такой проблемы не возникло и доступ был ко всем папкам.
  12. T

    Заменил штатную библитеку libc.so.6 GLIBC_2.15, возможно ли пройти аттестацию

    Надо запускать на той машине, где есть поддержка GLIBC_2.17. Можете это сделать на любом более менее современном debian дистрибутиве например.
  13. T

    Кросс компиляция

    Ну, а что, собственно, мешает собирать приложение под каким-нибудь дебианом с той же версией ядра и библиотек для макс совместимости, а запускать на астре?
  14. T

    Заменил штатную библитеку libc.so.6 GLIBC_2.15, возможно ли пройти аттестацию

    И много символов требуют версию большую, чем GLIBC_2.15? Если нет, то можно попробовать найти верисю символа меньше чем, GLIBC_2.17. Сделайте objdump -p myprog | grep GLIBC_2.17 и покажите тут.